; Updated launcher for Zaccarai by GAH1068  10/16/18.     
; Modified for new Deluxe table type
; Tested with PinupPopper 1.4.4
; 
;--------Run Before (Need to be compiled)----Start------

#SingleInstance force
SetTitleMatchMode 2
DetectHiddenWindows On
DetectHiddenText, On
; User inputs
SetWorkingDir %A_ScriptDir%

table=%1%
type_var=%2%

StringUpper, type_var, type_var

;SS=Solid state, EM=Electro Mag, RM=Remake, RT=Retro, AW=Award,DX=Deluxe

if type_var=SS
{
  table_type_val = 0
}
else if type_var = EM
{
  table_type_val = 1
}
else if type_var = RM
{
  table_type_val = 2
}
else if type_var = RT
{
  table_type_val = 3
}
else if type_var = AW
{
  table_type_val = 4
}
else if type_var = DX
{
 table_type_val = 6
}
else
{
 MsgBox, Invalid Table type:  Valid types are SS,EM,RT,RM,AW,DX
 exitapp
}


;--------- Patch name from Pinballx to settings.xml ------------ 
FixedLine =<string name="selected_table_name" value="table_%table%"/>
FixedLine2 =<item name="menu_table_cont" value="%table_type_val%"/>
Settings_File=%A_MyDocuments%\Zaccaria_Pinball\settings.xml
Settings=
NewSettings=
FileRead, Settings, %Settings_File%

Loop, parse, Settings, `n, `r
{
 
 Found = "No"  ;did we find either of our lines to update?
 Found2 = "No"
 
 IfInString, A_LoopField, "selected_table_name"
 {   
   Found = "Yes"
 }
  
 IfInString, A_LoopField, "menu_table_cont"
 {
  Found2 = "Yes"  
 }
   	  
 If Found = "Yes"
 {	   	
    NewSettings=%NewSettings%        %FixedLine%`r`n         		   
 }
 else if Found2 ="Yes"
 {				 
   NewSettings=%NewSettings%        %FixedLine2%`r`n         
 }
 Else
 {
    NewSettings=%NewSettings%%A_LoopField%`r`n  
 }
}
  
FileMove, %Settings_File%, %Settings_File%.bak, 1
FileAppend, %NewSettings%, %A_MyDocuments%\Zaccaria_Pinball\settings.xml
Sleep 2000
 
;ExitApp

;--------Run Before (Need to be compiled)----End------
 

;From here run your zaccaria

RegRead, SteamDirPath, HKCU, Software\Valve\Steam, SteamPath

;Remove Rorate right if you do not want Zaccaria to switch from landscape to portrait automatically
Run, "%SteamDirPath%\Steam.exe" -applaunch 444930 -rotate right

WinWait ahk_class GLFW30, , 20000
if ErrorLevel
{
    MsgBox, WinWait timed out.
    exitapp
}

Sleep, 10000

DllCall("SetCursorPos", int, 560, int, 920)  ; The first number is the X-coordinate and the second is the Y (relative to the screen).

WinActivate, ahk_class GLFW30
;SoundBeep, 440, 200 
MouseClick , left
Sleep, 500
;SoundBeep, 400, 200 
Sleep, 500
Send {Enter down}
Sleep 500
Send {Enter up}
Sleep, 500
;SoundBeep, 400, 200 
Send {Enter down}
Sleep 500
Send {Enter up}
Sleep, 500

Process, WaitClose, ZaccariaPinball.exe
;--------Run After (Need to be compiled)----Start-----

ExitApp

;--------Run After (Need to be compiled)----End------

#IfWinActive ahk_class GLFW30

; Exit Table
	e::
		Gosub killApp
	Return

#IfWinActive

	
killApp:
	Send {Esc down}{Esc up}
	Sleep, 20
	Send {Right down}{Right up}
	Sleep, 20
	Send {Enter down}{Enter up}
	Sleep, 100
	Send {Esc down}{Esc up}
	Sleep, 20
	Send {Right down}{Right up}
	Sleep, 20
	Send {Enter down}{Enter up}
	Sleep, 100
	Send !{f4}
	Process, Close, ZaccariaPinball.exe
	If ErrorLevel
		Process, Close, %ErrorLevel%
	WinKill, Error	
	Process, Close, ZaccariaPinball.exe
	If ErrorLevel
		Process, Close, %ErrorLevel%
	WinKill, Error	
	WinKill, ahk_class GLFW30
	WinKill, ahk_class GLFW30
	WinKill, ahk_class GLFW30
	WinKill, ahk_class GLFW30
	Run, taskkill /F /IM ZaccariaPinball.exe /T,, Hide
Return
